"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.number = void 0;
const names = {
    0: 'Zero',
    1: 'One',
    2: 'Two',
    3: 'Three',
    4: 'Four',
    5: 'Five',
    6: 'Six',
    7: 'Seven',
    8: 'Eight',
    9: 'Nine',
};
const Tens = {
    0: '',
    1: 'Ten',
    2: 'Twenty',
    3: 'Thirty',
    4: 'Fourty',
    5: 'Fifty',
    6: 'Sixty',
    7: 'Seventy',
    8: 'Eighty',
    9: 'Ninety',
};
const Teens = {
    11: 'Eleven',
    12: 'Twelve',
    13: 'Thirteen',
    14: 'Fourteen',
    15: 'Fifteen',
    16: 'Sixteen',
    17: 'Seventeen',
    18: 'Eighteen',
    19: 'Nineteen',
};
function each3(x) {
    const first = Math.floor(x / 100);
    const second = Math.floor((x % 100) / 10);
    const third = x % 10;
    if (first > 0) {
        if (second >= 2) {
            return names[first] + ' Hundred' + ' ' + Tens[second] + ' ' + names[third];
        }
        else if (second == 0) {
            if (third == 0) {
                return names[first] + ' Hundred';
            }
            else {
                return names[first] + ' Hundred' + ' ' + Tens[second] + ' ' + names[third];
            }
        }
        else {
            return names[first] + ' Hundred' + ' ' + Teens[x % 100];
        }
    }
    else {
        if (second >= 2) {
            return Tens[second] + ' ' + names[third];
        }
        else if (second == 0) {
            return names[third];
        }
        else {
            return Teens[x % 100];
        }
    }
}
function number(num) {
    const first3 = each3(num % 1000);
    if (num < 1000) {
        return first3;
    }
    else {
        const second3 = each3(Math.floor((num % 1000000) / 1000));
        if (num < 1000000) {
            return second3 + ' Thousand ' + first3;
        }
        else {
            const third3 = each3(Math.floor((num % 1000000000) / 1000000));
            if (num < 1000000000) {
                return third3 + ' Million ' + second3 + ' Thousand ' + first3;
            }
            else {
                const forth3 = each3(Math.floor((num % 1000000000000) / 1000000000));
                if (num < 1000000000000) {
                    return forth3 + ' Billion ' + third3 + ' Million ' + second3 + ' Thousand ' + first3;
                }
                else {
                    const fifth3 = each3(Math.floor((num % 1000000000000000) / 1000000000000));
                    return fifth3 + ' Trillion ' + forth3 + ' Billion ' + third3 + ' Million ' + second3 + ' Thousand ' + first3;
                }
            }
        }
    }
}
exports.number = number;
//# sourceMappingURL=index.js.map